name: emartdriver
description: A new Flutter application.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 1.0.2+2

environment:
  sdk: ">=3.0.5 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  shared_preferences: ^2.2.3
  firebase_app_check: ^0.2.2+7
  firebase_core: ^2.32.0
  cloud_functions: ^4.7.6
  firebase_auth: ^4.20.0
  cloud_firestore: ^4.17.5
  firebase_storage: ^11.7.7
  firebase_messaging: ^14.9.4
  flutter_local_notifications: ^17.1.2
  flutter_facebook_auth: ^7.0.0
  geoflutterfire2: ^2.3.15
  geolocator: ^12.0.0
  geocoding: ^3.0.0
  googleapis_auth: ^1.6.0

  image_picker: ^1.1.1
  progress_dialog_null_safe: ^3.0.0
  provider: ^6.1.2
  url_launcher: ^6.2.6
  intl: ^0.19.0
  cached_network_image: ^3.3.1
  video_thumbnail: ^0.5.3
  path_provider: ^2.1.3
  photo_view: ^0.15.0
  video_player: ^2.8.6
  smooth_page_indicator: ^1.1.0
  intl_phone_number_input: ^0.7.4
  pin_code_fields: ^8.0.1
  permission_handler: ^11.3.1
  easy_localization: ^3.0.7
  google_maps_flutter: ^2.6.1
  flutter_polyline_points: ^2.0.0
  cupertino_icons: ^1.0.8
  flutter_native_image: ^0.0.6+1
  the_apple_sign_in: ^1.1.1
  video_compress: ^3.1.2
  location: ^6.0.2
  flutter_otp_text_field: ^1.1.3+2
  audioplayers: ^6.0.0
  flutter_rating_bar: ^4.0.1
  flutter_widget_from_html: ^0.15.0
  flutterflow_paginate_firestore: ^1.0.3+1
  razorpay_flutter: ^1.3.7
  flutter_stripe: ^10.1.1
  mercadopago_sdk: ^1.3.0
  paytm_allinonesdk: ^1.2.5
  flutterwave_standard: ^1.0.8
  mailer: ^6.1.0
  flutter_easyloading: ^3.0.5
  flutter_paypal_native: ^2.1.0


dependency_overrides:
  webview_flutter: ^4.8.0
  uuid: ^4.4.0
  http: ^1.2.1

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/translations/
    - assets/fonts/
    - assets/flags/
    - assets/audio/

  fonts:
    - family: Poppinsb
      fonts:
        - asset: assets/fonts/Poppins-Bold.ttf

    - family: Poppinsl
      fonts:
        - asset: assets/fonts/Poppins-Light.ttf

    - family: Poppinsm
      fonts:
        - asset: assets/fonts/Poppins-Medium.ttf

    - family: Poppinsr
      fonts:
        - asset: assets/fonts/Poppins-Regular.ttf
    
    - family: Poppinssb
      fonts:
        - asset: assets/fonts/Poppins-SemiBold.ttf